

from setuptools import setup, find_packages

import ggProg

setup(
    
    name ='ggProg',
        
    version = ggProg.__version__,
    
    description = 'A simple Python interface for the gg.',
    long_description = 'A simple Python interface for the gg. Since gg is a 32 bit windows application, this package can only be used with windows and 32bit Python 2.7.x',
    
    url = 'GG',
        
    author = 'GG',
    
    license = 'BSD',
    
    classifiers = [

        'Development Status :: 4 - Beta',

        'Intended Audience :: Developers',

        'Topic :: Software Development :: Build Tools',
        'Topic :: Software Development :: Debuggers',
        
        'License :: OSI Approved :: BSD License',

        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7'
    ],
    
    keywords = 'ggProg gg',
     
    install_requires = ['enum34'],
     
    packages = find_packages(),
    package_data = { 
                'ggProg': ['*.dll'],
                'ggProg.examples': ['*.hex']
    }
    
    )